maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brian Fox (JIRA)" <j...@codehaus.org>
Subject [jira] Closed: (MENFORCER-55) requirePluginVersions is not compatable with Maven embedder (used in IDEs)
Date Wed, 24 Dec 2008 05:06:19 GMT

     [ http://jira.codehaus.org/browse/MENFORCER-55?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Brian Fox closed MENFORCER-55.
------------------------------

       Resolution: Fixed
    Fix Version/s: 1.0

The current rule needs a complete rewrite to work with the old 2.1-SNAPSHOT/3.0 embedder because
the lifecycle components are significantly incompatible. For now, we will handle any error
getting at the lifecycles with a warning and then silently passing the rule. This will allow
the check to occur in CI/CLI builds and not interfere with IDEs until the rule is redone.

> requirePluginVersions is not compatable with Maven embedder (used in IDEs)
> --------------------------------------------------------------------------
>
>                 Key: MENFORCER-55
>                 URL: http://jira.codehaus.org/browse/MENFORCER-55
>             Project: Maven 2.x Enforcer Plugin
>          Issue Type: Bug
>          Components: Standard Rules
>    Affects Versions: 1.0-alpha-4
>            Reporter: James Nord
>            Assignee: Brian Fox
>             Fix For: 1.0
>
>
> The enforcer RequirePluginVersions is not currently compatible with
> 2.1/3.0 (the embedder) as I needed to use reflection to get a private
> variables. Yes, I feel dirty but it was the only way at the time.
> Unfortunately, this variable isn't there anymore. I'll have to figure
> out another approach once 3.0-alpha-1 is out.
> -----Original Message-----
> Subject: Enforcer plugin and maven embedder.
> Hi all,
>  
> There seems to be an issue with the enforcer plugin and the Maven
> embedder, I've not seen it reported in the archives or in JIRA.
>  
> maven snapshot from rev 659801
> (http://code.google.com/p/q4e/downloads/list)
>  
> POM that shows the error:
> <?xml version="1.0" encoding="UTF-8" ?>
> <project xmlns="http://maven.apache.org/POM/4.0.0"
> xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
> http://maven.apache.org/maven-v4_0_0.xsd">
>  <modelVersion>4.0.0</modelVersion>
>  <groupId>test</groupId>
>  <artifactId>test</artifactId>
>  <version>0.0.1-SNAPSHOT</version>
>  <packaging>jar</packaging>
>  <name>test</name>
>  <build>
>   <pluginManagement>
>    <plugins>
>     <plugin>
>      <artifactId>maven-enforcer-plugin</artifactId>
>      <version>1.0-alpha-4</version>
>      <executions>
>       <execution>
>        <id>enforce-rules</id>
>        <goals>
>         <goal>enforce</goal>
>        </goals>
>        <configuration>
>         <rules>
>          <requirePluginVersions>
>           <message>Found plugins without fixed release version defined.
> Build is not reproducible.</message>
>          </requirePluginVersions>
>         </rules>
>        </configuration>
>       </execution>
>      </executions>
>     </plugin>
>    </plugins>
>   </pluginManagement>
>   <plugins>
>    <plugin>
>     <artifactId>maven-enforcer-plugin</artifactId>
>    </plugin>
>   </plugins>
>  </build>
> </project>
>  
> error is:
>  
> [INFO] [enforcer:enforce]
> ---------------------------------------------------
> constituent[0]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/aspectjrt-1.5.3.jar
> constituent[1]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/commons-cli-1.0.jar
> constituent[2]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/commons-logging-api-1.1.jar
> constituent[3]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/doxia-sink-api-1.0-alpha-9.jar
> constituent[4]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/jsch-0.1.27.jar
> constituent[5]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/jtidy-4aug2000r7-dev.jar
> constituent[6]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/log4j-1.2.12.jar
> constituent[7]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-artifact-3.0-20080521.152646-63.jar
> constituent[8]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-core-2.1-SNAPSHOT.jar
> constituent[9]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-embedder-2.1-SNAPSHOT.jar
> constituent[10]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-lifecycle-2.1-SNAPSHOT.jar
> constituent[11]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-model-2.1-SNAPSHOT.jar
> constituent[12]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-plugin-api-2.1-SNAPSHOT.jar
> constituent[13]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-profile-2.1-SNAPSHOT.jar
> constituent[14]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-project-2.1-SNAPSHOT.jar
> constituent[15]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-reporting-api-2.1-SNAPSHOT.jar
> constituent[16]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-toolchain-2.1-SNAPSHOT.jar
> constituent[17]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/maven-workspace-2.1-SNAPSHOT.jar
> constituent[18]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/plexus-container-default-1.0-alpha-46-20080419.145100-1.jar
> constituent[19]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/plexus-interactivity-api-1.0-alpha-6.jar
> constituent[20]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/plexus-interpolation-1.0-20080407.184049-2.jar
> constituent[21]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/plexus-utils-1.5.1.jar
> constituent[22]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/wagon-file-1.0-beta-2.jar
> constituent[23]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/wagon-http-lightweight-1.0-beta-2.jar
> constituent[24]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/wagon-http-shared-1.0-beta-2.jar
> constituent[25]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/wagon-provider-api-1.0-beta-2.jar
> constituent[26]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/wagon-ssh-1.0-beta-2.jar
> constituent[27]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/wagon-ssh-common-1.0-beta-2.jar
> constituent[28]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/wagon-ssh-external-1.0-beta-2.jar
> constituent[29]:
> file:/E:/downloads/apache-maven-2.1-659801-bin/apache-maven-2.1-SNAPSHOT
> /bin/../lib/xbean-reflect-3.4-20080418.173627-4.jar
>  
> ---------------------------------------------------
> java.lang.NullPointerException
>         at
> org.codehaus.plexus.util.ReflectionUtils.getValueIncludingSuperclasses(R
> eflectionUtils.java:163)
>         at
> org.apache.maven.plugins.enforcer.RequirePluginVersions.getBoundPlugins(
> RequirePluginVersions.java:507)
>         at
> org.apache.maven.plugins.enforcer.RequirePluginVersions.execute(RequireP
> luginVersions.java:172)
>         at
> org.apache.maven.plugins.enforcer.EnforceMojo.execute(EnforceMojo.java:1
> 85)
>         at
> org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginMa
> nager.java:579)
>         at
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandle
> Failures(DefaultLifecycleExecutor.java:498)
>         at
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegmentFo
> rProject(DefaultLifecycleExecutor.java:265)
>         at
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(
> DefaultLifecycleExecutor.java:191)
>         at
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifec
> ycleExecutor.java:149)
>         at
> org.apache.maven.DefaultMaven.execute_aroundBody0(DefaultMaven.java:223)
>         at
> org.apache.maven.DefaultMaven.execute_aroundBody1$advice(DefaultMaven.ja
> va:304)
>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:1)
>         at
> org.apache.maven.embedder.MavenEmbedder.execute_aroundBody2(MavenEmbedde
> r.java:904)
>         at
> org.apache.maven.embedder.MavenEmbedder.execute_aroundBody3$advice(Maven
> Embedder.java:304)
>         at
> org.apache.maven.embedder.MavenEmbedder.execute(MavenEmbedder.java:1)
>         at org.apache.maven.cli.MavenCli.doMain(MavenCli.java:176)
>         at org.apache.maven.cli.MavenCli.main(MavenCli.java:63)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>         at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.jav
> a:39)
>         at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessor
> Impl.java:25)
>         at java.lang.reflect.Method.invoke(Method.java:597)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced(Launche
> r.java:289)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.launch(Launcher.java:2
> 29)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode(Launc
> her.java:408)
>         at
> org.codehaus.plexus.classworlds.launcher.Launcher.main(Launcher.java:351
> )
>         at org.codehaus.classworlds.Launcher.main(Launcher.java:31)
>  
> Java version: 1.6.0_06

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message